Bug 966054 - (CVE-2013-3556) CVE-2013-3556 wireshark: DoS (crash) in the ASN.1 BER dissector (wnpa-sec-2013-25, upstream #8599)
CVE-2013-3556 wireshark: DoS (crash) in the ASN.1 BER dissector (wnpa-sec-201...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130517,reported=2...
: Security
Depends On: 979246
Blocks: 965198
  Show dependency treegraph
 
Reported: 2013-05-22 07:33 EDT by Huzaifa S. Sidhpurwala
Modified: 2013-06-28 00:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-22 07:36:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-05-22 07:33:08 EDT
A denial of service flaw was found in the way ASN.1 BER dissector of Wireshark, a network traffic analyzer, processed certain ASN.1 BER packet capture files. Remote attacker could provide a specially-crafted ASN.1 BER packet capture file that, when processed would lead to tshark executable crash.

Upstream bug report:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8599

Reproducer:
[2] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8599#c0
[3] http://www.wireshark.org/download/automated/captures/fuzz-2013-04-20-29140.pcap

Upstream patches:
[4] http://anonsvn.wireshark.org/viewvc?view=revision&revision=48943

Note:
This issue has been split from bug 965193, please see the following link for more details:
https://bugzilla.redhat.com/show_bug.cgi?id=965193#c5
Comment 1 Huzaifa S. Sidhpurwala 2013-05-22 07:35:40 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 2 Huzaifa S. Sidhpurwala 2013-05-22 07:36:15 EDT
This issue does not affect the version of wireshark as shipped with Fedora 17 and Fedora 18
Comment 3 Jan Lieskovsky 2013-05-27 06:10:20 EDT
Upstream advisory:
  http://www.wireshark.org/security/wnpa-sec-2013-25.html

Note You need to log in before you can comment on or make changes to this bug.